Name:           python-distro
Version:        1.5.0
Release:        2
Summary:        Linux Distribution - a Linux OS platform information API
License:        ASL 2.0
URL:            https://github.com/nir0s/distro
Source0:        https://files.pythonhosted.org/packages/source/d/distro/distro-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools python3-pytest
BuildArch:      noarch

%description
Distro provides information about the OS distribution it runs on, such as a reliable machine-readable
ID, or version information.

It is the recommended replacement for Python's original platform.linux_distribution function (which
will be removed in Python 3.8). It also provides much more functionality which isn't necessarily
Python bound, like a command-line interface.

Distro currently supports Linux and BSD based systems but Windows and OS X support is also planned.

%package -n python3-distro
Summary:        Linux Distribution - a Linux OS platform information API
%{?python_provide:%python_provide python3-distro}

%description -n python3-distro
Distro provides information about the OS distribution it runs on, such as a reliable machine-readable
ID, or version information.

It is the recommended replacement for Python's original platform.linux_distribution function (which
will be removed in Python 3.8). It also provides much more functionality which isn't necessarily
Python bound, like a command-line interface.

Distro currently supports Linux and BSD based systems but Windows and OS X support is also planned.

Python3 version of distro.

%prep
%autosetup -n distro-%{version} -p1
rm -rf distro.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest tests -v


%files -n python3-distro
%doc LICENSE CHANGELOG.md CONTRIBUTORS.md README.md
%{python3_sitelib}/*
%{_bindir}/distro

%changelog
* Fri Oct 23 2020 tianwei <tianwei12@huawei.com> - 1.5.0-2
- delete python2

* Thu Jul 23 2020 dingyue <dingyue5@huawei.com> - 1.5.0-1
- Package update
* Mon Nov 25 2019 lingsheng <lingsheng@huawei.com> - 1.3.0-5
- Package init
